Skip to content

Save Image

POST
/notebooks/{Instance_id}/save_image/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/save_image/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"registry_namespace_id": 123,
"image_name": "nginx",
"image_tag": "v2"
}'

The portal offers no Save Image action for a Virtual Machine.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
registry_namespace_id

ID of the container registry namespace where the image will be stored

integer
image_name

Name of the image to be saved

string
image_tag

Tag assigned to the saved image

string

Example

{
"registry_namespace_id": 123,
"image_name": "nginx",
"image_tag": "v2"
}

Image saved successfully

Media typeapplication/json
object
code
integer
data
object
id
integer
created_by
object
id
integer
name
string
email
string
username
string
notebook_id
integer
image_name
string
image_tag
string
e2e_registry_id
integer
e2e_registry_name
string
status
string
created_at
string
size
integer
nullable
app
object
id
integer
name
string
app_url
string
icon_url
string
is_ssh_required
boolean
display_name
string
errors
object
message
string

Example

{
"code": 201,
"data": {
"id": 804,
"created_by": {
"id": 4946,
"name": "Tushar Tushar",
"email": "tushar@e2enetworks.com",
"username": "tushar@e2enetworks.com"
},
"notebook_id": 18783,
"image_name": "nginx",
"image_tag": "v2",
"e2e_registry_id": 646,
"e2e_registry_name": "rajcr03",
"status": "Building",
"created_at": "2026-03-09T05:13:31.301049Z",
"size": null,
"app": {
"id": 3,
"name": "jupyter_labs",
"app_url": "/lab",
"icon_url": "",
"is_ssh_required": false,
"display_name": "Jupyter Labs"
}
},
"errors": {},
"message": "Created Successfully"
}